Skip to main content
GET
/
api
/
v1
/
accounts
/
{account_id}
/
internal_channels
/
{id}
/
messages
List channel messages
curl --request GET \
  --url https://connect.voxys.ai/api/v1/accounts/{account_id}/internal_channels/{id}/messages \
  --header 'api_access_token: <api-key>'
[
  {
    "id": 123,
    "channel_id": 123,
    "content": "<string>",
    "author_id": 123,
    "pinned": true,
    "attachments": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_access_token
string
header
required

All API requests must include the api_access_token header with a valid agent or administrator token.

Query Parameters

page
integer
default:1

Response

Messages list

id
integer
channel_id
integer
content
string
author_id
integer
pinned
boolean
attachments
string[]
created_at
string<date-time>